Package org.linphone.core

# Interface MagicSearchListener

All Known Implementing Classes:
  `MagicSearchListenerStub`

public interface MagicSearchListener
`MagicSearchListener` is an interface to be notified of results of
contact searches initiated from the `MagicSearch`.
see: `MagicSearch.addListener(org.linphone.core.MagicSearchListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)`
Deprecated.
18/11/2024 use LinphoneMagicSearchCbsMoreResultsAvailableCb
instead.
`void`
`onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)`
Callback used to notify when more results are available for a given
invalid reference

    MagicSearch#Source

flag.
`void`
`onSearchResultsReceived(MagicSearch magicSearch)`
Callback used to notify when results are received.

## Method Details

### onSearchResultsReceived

void onSearchResultsReceived(MagicSearch magicSearch)
Callback used to notify when results are received.

Parameters:
  `magicSearch` - `MagicSearch` object

### onLdapHaveMoreResults

void onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)
Deprecated.
18/11/2024 use LinphoneMagicSearchCbsMoreResultsAvailableCb
instead.
Callback used to notify when LDAP have more results available.

Parameters:
  `magicSearch` - `MagicSearch` object
  `ldap` - `Ldap` object

### onMoreResultsAvailable

void onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)
Callback used to notify when more results are available for a given
invalid reference

    MagicSearch#Source

flag.

Parameters:
  `magicSearch` - `MagicSearch` object
  `source` - The source flag indicating for which type of result there is more
  results available.